summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xlocal/bin/update-dwm-bar11
1 files changed, 1 insertions, 10 deletions
diff --git a/local/bin/update-dwm-bar b/local/bin/update-dwm-bar
index e9156b1..a9fdf92 100755
--- a/local/bin/update-dwm-bar
+++ b/local/bin/update-dwm-bar
@@ -4,9 +4,6 @@ DELAY=20
sep=$(echo -e '\u2502')
while true; do
- if hash upsc 2>/dev/null; then
- ups="UPS: $(upsc eaton5e@zoidberg battery.charge)% $sep "
- fi
currency=
if [ ! -z "$(ls -A ~/.cache/currency/)" ] ; then
for c in ~/.cache/currency/* ; do
@@ -32,14 +29,8 @@ while true; do
esac
bat_string="$bat_icon $bat $sep "
fi
- thermal_string="🌡"
- for zone in /sys/class/thermal/thermal_zone* ; do
- temp="$(cat $zone/temp)"
- thermal_string="$thermal_string $(($temp / 1000)),"
- done
- thermal_string="${thermal_string%,} °C"
datetime_string=$(date "+%A $sep %d %h %Y $sep %_I:%M %p (UTC%:::z)")
- xsetroot -name " $currency$ups$thermal_string $sep $bat_string$datetime_string" || exit
+ xsetroot -name " $bat_string$datetime_string" || exit
sleep "$DELAY"
done